kr.co.hanwha.hifive.screen.task

## Class AddTaskSelectCampaignPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.task.AddTaskSelectCampaignPresenter

- All Implemented Interfaces:
    BasePresenter, AddTaskSelectCampaignContract.Presenter

      public class AddTaskSelectCampaignPresenter
      extends java.lang.Object
      implements AddTaskSelectCampaignContract.Presenter

  Campaign(OKR) 선택 Presenter
  See Also:
    `Created by sanghoonkwon on 2018. 2. 21..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AddTaskSelectCampaignListContract.Model` | `mAdapterModel`
    `private AddTaskSelectCampaignListContract.View` | `mAdapterView`
    `private java.lang.String` | `mKeyword`
    `private AddTaskSelectCampaignContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddTaskSelectCampaignPresenter(AddTaskSelectCampaignContract.View view, AddTaskSelectCampaignListContract.Model adapterModel, AddTaskSelectCampaignListContract.View adapterView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doCompleted()` 선택 완료
    `void` | `doSearchKeyword(java.lang.String keyword)` 검색
    `android.app.Activity` | `getActivity()`
    `android.content.Context` | `getContext()`
    `void` | `initData(int memberId)` 전체 캠페인 목록 조회
    `void` | `updateObjectSelect(CampaignData data)` 선택 상태 변경

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mView

          private AddTaskSelectCampaignContract.View mView

    - #### mAdapterModel

          private AddTaskSelectCampaignListContract.Model mAdapterModel

    - #### mAdapterView

          private AddTaskSelectCampaignListContract.View mAdapterView

    - #### mKeyword

          private java.lang.String mKeyword

  - ### Constructor Detail

    - #### AddTaskSelectCampaignPresenter

          public AddTaskSelectCampaignPresenter(@NonNull
                                                AddTaskSelectCampaignContract.View view,
                                                @NonNull
                                                AddTaskSelectCampaignListContract.Model adapterModel,
                                                @NonNull
                                                AddTaskSelectCampaignListContract.View adapterView)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### getActivity

          public android.app.Activity getActivity()

    - #### initData

          public void initData(int memberId)

      Description copied from interface: `AddTaskSelectCampaignContract.Presenter`
      전체 캠페인 목록 조회
      Specified by:
        `initData` in interface `AddTaskSelectCampaignContract.Presenter`

    - #### updateObjectSelect

          public void updateObjectSelect(@NonNull
                                         CampaignData data)

      Description copied from interface: `AddTaskSelectCampaignContract.Presenter`
      선택 상태 변경
      Specified by:
        `updateObjectSelect` in interface `AddTaskSelectCampaignContract.Presenter`
      Parameters:
        `data` - 멤버 정보

    - #### doCompleted

          public void doCompleted()

      Description copied from interface: `AddTaskSelectCampaignContract.Presenter`
      선택 완료
      Specified by:
        `doCompleted` in interface `AddTaskSelectCampaignContract.Presenter`

    - #### doSearchKeyword

          public void doSearchKeyword(@Nullable
                                      java.lang.String keyword)

      Description copied from interface: `AddTaskSelectCampaignContract.Presenter`
      검색
      Specified by:
        `doSearchKeyword` in interface `AddTaskSelectCampaignContract.Presenter`
      Parameters:
        `keyword` - 검색어